Bug 608743 - SELinux is preventing /usr/sbin/NetworkManager "write" access on /var/lib/NetworkManager.
SELinux is preventing /usr/sbin/NetworkManager "write" access on /var/lib/Net...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:5dd4fe6eaf2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 11:22 EDT by sunminlei
Modified: 2010-06-28 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 12:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sunminlei 2010-06-28 11:22:20 EDT
Summary:

SELinux is preventing /usr/sbin/NetworkManager "write" access on
/var/lib/NetworkManager.

Detailed Description:

SELinux denied access requested by NetworkManager. It is not expected that this
access is required by NetworkManager and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                /var/lib/NetworkManager [ dir ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-0.8.1-0.1.git20100510.fc12
Target RPM Packages           NetworkManager-0.8.1-0.1.git20100510.fc12
Policy RPM                    selinux-policy-3.6.32-116.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.14-127.fc12.x86_64 #1 SMP
                              Fri May 28 04:30:39 UTC 2010 x86_64 x86_64
Alert Count                   23
First Seen                    Sat 19 Jun 2010 10:43:40 AM CST
Last Seen                     Mon 28 Jun 2010 11:12:47 PM CST
Local ID                      c76a9df4-693d-4e9e-9527-20978d394426
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1277737967.24:18257): avc:  denied  { write } for  pid=1876 comm="NetworkManager" name="NetworkManager" dev=dm-2 ino=8222 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1277737967.24:18257): arch=c000003e syscall=2 success=no exit=-13 a0=203e100 a1=c2 a2=1b6 a3=4d6b726f7774654e items=0 ppid=1875 pid=1876 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-116.fc12,catchall,NetworkManager,NetworkManager_t,var_lib_t,dir,write
audit2allow suggests:

#============= NetworkManager_t ==============
#!!!! The source type 'NetworkManager_t' can write to a 'dir' of the following types:
# etc_t, var_run_t, NetworkManager_log_t, dhcpc_state_t, var_log_t, NetworkManager_var_lib_t, NetworkManager_var_run_t, net_conf_t, dnsmasq_var_run_t, tmp_t, named_cache_t, NetworkManager_tmp_t, root_t

allow NetworkManager_t var_lib_t:dir write;
Comment 1 Miroslav Grepl 2010-06-28 12:34:23 EDT
You have a labeling problem. Execute:

restorecon -R -v /var/lib/NetworkManager

Will fix.

Note You need to log in before you can comment on or make changes to this bug.